..############################################################################################
..Modul TDBTOOLS
..Interface-Modul zu den Toolbox-DLLs
..Stand: 26.10.1999
..Bemerkung:
..Stellen Sie sicher, dass sich alle verwendeten DLLs im Projektverzeichnis befinden, 
..oder passen Sie die Dateiangaben an (z.B. statt "tdbcanv.dll" viellecht "bin\tdbcanv.dll")
..Die Deklarationen der Funktionen, die Sie in Ihrem Projekt nicht verwenden, sollten Sie aus dieser Datei entfernen,
..dann brauchen Sie auch u.U. einige DLLs nicht weitergeben.
..Eine Beschreibung aller Funktionen entnehmen Sie bitte der TOOLBOX3.HTM Online-Hilfe
..############################################################################################

..Bereich Canvas
dllproc CanvasShow(iW : INTEGER; iH : INTEGER; cCapt : string) : integer library "tdbcanv.dll";
dllproc CanvasHide library "tdbcanv.dll";
dllproc CanvasLine(x1 : integer;y1 : integer;x2 : integer;y2 : integer) library "tdbcanv.dll";
dllproc CanvasLineSize(x : integer) library "tdbcanv.dll";
dllproc CanvasBGColor(b : integer;g : integer;b : integer) library "tdbcanv.dll";
dllproc CanvasLineColor(b : integer;g : integer;b : integer) library "tdbcanv.dll";
dllproc CanvasText(x : integer;y : integer;c : string) library "tdbcanv.dll";
dllproc CanvasDot(x : integer;y : integer) library "tdbcanv.dll";
dllproc CanvasTextColor(b : integer;g : integer;b : integer) library "tdbcanv.dll";
dllproc CanvasFreeze library "tdbcanv.dll";
dllproc CanvasFont(cName : STRING; iSize : INTEGER) library "tdbcanv.dll";
dllproc CanvasRestore library "tdbcanv.dll";
dllproc CanvasUpdate library "tdbcanv.dll";
dllproc CanvasUnFreeze library "tdbcanv.dll";
dllproc CanvasSaveAs(cFile : STRING) library "tdbcanv.dll";
dllproc CanvasOpenBMP(cFile : STRING; ix1 : integer;iy1 : integer;ix2 : integer;iy2 : integer) library "tdbcanv.dll";
dllproc CanvasBox(x1 : integer;y1 : integer;x2 : integer;y2 : integer;filled : integer) library "tdbcanv.dll";
dllproc CanvasEllipse(x1 : integer;y1 : integer;x2 : integer;y2 : integer) library "tdbcanv.dll";
dllproc CanvasStrLen(cString : string; cFont : string; iFontSize : integer) : integer library "tdbcanv.dll";
dllproc ScreenHeight : integer library "tdbcanv.dll";
dllproc ScreenWidth : integer library "tdbcanv.dll";

..Bereich Registry
dllproc RegistryActivate  : integer library "tdbreg.dll";
dllproc RegistryClose  : integer library "tdbreg.dll";
dllproc RegistryExistsKey(cKey : STRING) : integer library "tdbreg.dll";
dllproc RegistryOpenKey(cKey : STRING) : integer library "tdbreg.dll";
dllproc RegistryReadKey(var cValue : STRING) : integer library "tdbreg.dll";
dllproc RegistryEditKey(cValue : STRING) : integer library "tdbreg.dll";
dllproc RegistryNewKey(cValue : STRING; cValue : STRING) : integer library "tdbreg.dll";
dllproc RegistryDeleteKey(cKey : STRING) : integer library "tdbreg.dll";

..Bereich Dialoge
dllproc ShowProgress(n : INTEGER; cPrompt : string;cCaption : string; iTyp : integer) library "tdbdlgs.DLL";
dllproc HideProgress library "tdbdlgs.dll";
dllproc SelectDlg(cString : string; n : Integer; cPrompt : string; cCaption : string;iPre : integer) : integer library "tdbdlgs.dll";
dllproc MultiSelectDlg(cString : string; n : Integer; cPrompt : string; cCaption : string) : integer library "tdbdlgs.dll";
dllproc ShowCalendar(var cDatum : STRING; cPrompt : STRING; cCaption : STRING) : integer library "tdbdlgs.dll";
dllproc ExtInput(cPrompt : string;  cCaption : string; var cResult : string; nPassword : Integer; nLen : integer) : integer library "tdbdlgs.dll";


..Bereich Import
dllproc InitImportDlg(tabA : string; tabB : String) library "tdbimp.DLL";
dllproc FillImportDlg(iTabelle : integer; cField : string) library "tdbimp.DLL";
dllproc ShowImportDlg(c : string): integer library "tdbimp.DLL";
dllproc PresetImportDlg library "tdbimp.DLL";


..Bereich System
dllproc About library "tdbsys.dll";
dllproc ExactTime : integer library "tdbsys.dll";
dllproc FindApp(var cKey : string; coption : string) : integer library "tdbsys.dll";
dllproc EraseFile(cFile : string) : integer library "tdbsys.dll";
dllproc GetWinDir(var cPath : string) library "tdbsys.dll";
dllproc GetSysDir(var cPath : string) library "tdbsys.dll";
dllproc GetTmpDir(var cPath : string) library "tdbsys.dll";
dllproc GetCurrentDir(var cPath : string) library "tdbsys.dll";
dllproc SysReboot(iMode : integer; iForce : integer) library "tdbsys.dll";

..Bereich Inifiles
..Modul fr Tabelle teb
dllproc IniFileOpen(cFile : String; iMake : integer) : integer library "TDBINI.DLL";
dllproc IniFileClose(iF : integer) : integer library "TDBINI.DLL";
dllproc IniFilesLeft : integer library "TDBINI.DLL";
dllproc IniReadString(iF : integer;var cValue : string; cSect : string; cItem : string) library "TDBINI.DLL";
dllproc IniWriteString(iF : integer; cSect : string; cItem : string; cValue : string; i : integer) : integer library "TDBINI.DLL";
dllproc IniDeleteSection(iF : integer; cSect : string) : integer library "TDBINI.DLL";

..Bereich Virtuelle Textdateien
dllproc vRewrite(cFile : string) : integer library "tdbvtxt.dll";
dllproc vReset(cFile : string) : integer library "tdbvtxt.dll";
dllproc vModify(cFile : string) : integer library "tdbvtxt.dll";
dllproc vClose(iF : integer) : integer library "tdbvtxt.dll";
dllproc vFilename(iF : integer; var cFile : string) library "tdbvtxt.dll";
dllproc vWriteLn(iF : integer; cLine : string) : integer library "tdbvtxt.dll";
dllproc vAppend(iFDest : integer; iFSource : integer) : integer library "tdbvtxt.dll";
dllproc vSize(iF : integer) : integer library "tdbvtxt.dll";
dllproc vInsert(iF : integer; iLine : integer; cLine : string) library "tdbvtxt.dll";
dllproc vAppendToLine(iF : integer; iLine : integer; cLine : string) : integer library "tdbvtxt.dll";
dllproc vReadLn(iF : integer; iLine : integer; var cLine : string) : integer library "tdbvtxt.dll";
dllproc vFindLn(iF : integer; cString : string) : integer library "tdbvtxt.dll";
dllproc vClear(iF : integer) : integer library "tdbvtxt.dll";
dllproc vShow(iF : integer; cCaption :string; iReadOnly : integer) : integer library "tdbvtxt.dll";

..TDBTRACE
dllproc vTrace(c : string) library "tdbvtxt.dll";
dllproc vClearTrace library "tdbvtxt.dll";
dllproc vSaveTrace(c : string) library "tdbvtxt.dll";
dllproc vHideTrace library "tdbvtxt.dll";
